OGRE-Next: Ogre::GLES2RTTManager Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::GLES2RTTManager Class Referenceabstract

Manager/factory for RenderTextures. More...

`#include <OgreGLES2RenderTexture.h>`

Inheritance diagram for Ogre::GLES2RTTManager:
[legend]

## Public Member Functions
virtual | ~GLES2RTTManager ()
virtual void | bind (RenderTarget *target)=0
| Bind a certain render target.
virtual bool | checkFormat (PixelFormat format)=0
| Check if a certain format is usable as rendertexture format.
virtual MultiRenderTarget * | createMultiRenderTarget (const String &name)
| Create a multi render target.
virtual RenderTexture * | createRenderTexture (const String &name, const GLES2SurfaceDesc &target, bool writeGamma, uint fsaa)=0
| Create a texture rendertarget object.
virtual void | getBestDepthStencil (GLenum internalFormat, GLenum *depthFormat, GLenum *stencilFormat)
virtual PixelFormat | getSupportedAlternative (PixelFormat format)
| Get the closest supported alternative format.
virtual void | unbind (RenderTarget *target)=0
| Unbind a certain render target.
Public Member Functions inherited from Ogre::Singleton< GLES2RTTManager >
| ~Singleton ()

## Additional Inherited Members
Static Public Member Functions inherited from Ogre::Singleton< GLES2RTTManager >
static GLES2RTTManager & | getSingleton ()
static GLES2RTTManager * | getSingletonPtr ()

## Detailed Description

Manager/factory for RenderTextures.

## Constructor & Destructor Documentation

## ◆ ~GLES2RTTManager()

virtual Ogre::GLES2RTTManager::~GLES2RTTManager | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ bind()

virtual void Ogre::GLES2RTTManager::bind | ( | RenderTarget * | target | ) |
| pure virtual

Bind a certain render target.

Implemented in Ogre::GLES2FBOManager.

## ◆ checkFormat()

virtual bool Ogre::GLES2RTTManager::checkFormat | ( | PixelFormat | format | ) |
| pure virtual

Check if a certain format is usable as rendertexture format.

Implemented in Ogre::GLES2FBOManager.

## ◆ createMultiRenderTarget()

virtual MultiRenderTarget * Ogre::GLES2RTTManager::createMultiRenderTarget | ( | const String & | name | ) |
| virtual

Create a multi render target.

Reimplemented in Ogre::GLES2FBOManager.

## ◆ createRenderTexture()

virtual RenderTexture * Ogre::GLES2RTTManager::createRenderTexture | ( | const String & | name,
|  | const GLES2SurfaceDesc & | target,
|  | bool | writeGamma,
|  | uint | fsaa )
| pure virtual

Create a texture rendertarget object.

Implemented in Ogre::GLES2FBOManager.

## ◆ getBestDepthStencil()

virtual void Ogre::GLES2RTTManager::getBestDepthStencil | ( | GLenum | internalFormat,
|  | GLenum * | depthFormat,
|  | GLenum * | stencilFormat )
| inlinevirtual

## ◆ getSupportedAlternative()

virtual PixelFormat Ogre::GLES2RTTManager::getSupportedAlternative | ( | PixelFormat | format | ) |
| virtual

Get the closest supported alternative format.

If format is supported, returns format.

## ◆ unbind()

virtual void Ogre::GLES2RTTManager::unbind | ( | RenderTarget * | target | ) |
| pure virtual

Unbind a certain render target.

This is called before binding another RenderTarget, and before the context is switched. It can be used to do a copy, or just be a noop if direct binding is used.

Implemented in Ogre::GLES2FBOManager.

The documentation for this class was generated from the following file:

- OgreGLES2RenderTexture.h